<?php
/**
 * (c) 2004-2006 Linbox / Free&ALter Soft, http://linbox.com
 *
 * $Id$
 *
 * This file is part of LMC.
 *
 * LMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * LMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with LMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
?>
<?php

/* $Id$ */

require("modules/base/includes/groups.inc.php");

$root = $conf["global"]["root"];
$maxperpage = $conf["global"]["maxperpage"];

$title = _T("Select a group to edit printers queues rights");

$path = array(array("name" => _("Home"),
                    "link" => "index.php"),
              array("name" => _T("Printers"),
                    "link" => "main.php?module=printers&submod=printers&action=index"),
              array("name" => "Droits par groupe"));

require("localSidebar.php");
require_once("includes/ajaxTools.php");

require("graph/navbar.inc.php");

displayInputLiveSearch('modules/printing/printers/bygroupAjaxFilter.php');

echo "<h2>$title</h2>";
print '<div class="fixheight"></div>';

if (!isset($_GET["items"]))
{
  $groups = get_groups(&$error);
  $start = 0;

  if (count($groups) > 0)
    {
      $end = $conf["global"]["maxperpage"] - 1;
    }
  else
    {
      $end = 0;
    }
}
else
{
  $groups = unserialize(base64_decode(urldecode($_GET["items"])));
}
if (isset($_GET["start"]))
{
$start = $_GET["start"];
$end = $_GET["end"];
}


if ($error)
{
  echo $error;
}
?>


<?php

$p = new PageGenerator();
$p->setSideMenu($sidemenu);
$p->displaySideMenu();


$arrGroup = array();
$arrComment = array();

for ($idx = 0; $idx < count($groups); $idx++)
 {
    $arrGroup[]=$groups[$idx][0];

}




// $arrUser is the list of all Users
$n = new ListInfos($arrGroup,_T("Groups"));

$n->setCssClass("groupName");


$n->addActionItem(new ActionItem(_T("Edit rights"),"printersbygroup","edit","group") );


$n->setName(_T("Groups management"));

echo '<div id="container">';

$n->display();

echo '</div>';


?>
