<?php
/**
 * (c) 2004-2006 Linbox / Free&ALter Soft, http://linbox.com
 *
 * $Id$
 *
 * This file is part of LMC.
 *
 * LMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * LMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with LMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
?>
<?

$title = "Droits d'impression de l'utilisateur";

$path = array(array("name" => "Accueil",
                    "link" => "main.php"),
              array("name" => "Imprimantes",
                    "link" => "main.php?module=printers&submod=printers&action=index"),
              array("name" => "Droits par utilisateur",
                    "link" => "main.php?module=printers&submod=printers&action=byuser"),
              array("name" => "$title"));

require("localSidebar.php");
require("graph/navbar.inc.php");
require("modules/printing/includes/xmlrpc.php");

$user = $_GET["user"];

print "<h2>$title <b>$user</b></h2>";
print '<div class="fixheight"></div>';

$p = new PageGenerator();
$p->setSideMenu($sidemenu);
$p->displaySideMenu();

if (!strlen($user)) {
    $error = "Le nom de l'utilisateur est invalide.";
    print "<div id=\"errorCode\">$error</div>";
    exit;
} 

function validate($user) {
    $access = $_POST["access"];
    if (strlen($access)) setUserPrintServiceAccess($user, True);
    else setUserPrintServiceAccess($user, False);        
    $fullaccess = $_POST["fullaccess"];
    if (strlen($fullaccess)) setUserPrintServiceAllRights($user, True);
    else setUserPrintServiceAllRights($user, False);
}

if (isset($_POST["baddqueue"])) {
    validate($user);
    foreach($_POST["queues"] as $idx => $queue)
        setUserPrinterAccess($user, $queue, True);
}

if (isset($_POST["bdelqueue"])) {
    validate($user);
    foreach($_POST["aqueues"] as $idx => $queue)
        setUserPrinterAccess($user, $queue, False);
}

if (isset($_POST["validate"])) {
    validate($user);
}

$printers = getPrinters();
$userprinters = getUserPrintersAccessAllowed($user);

if (isUserServiceAccessAllowed($user)) {
    $accesschecked = "CHECKED";
    $accessdisplay = "inline";
} else $accessdisplay = "none";

if (isUserPrintServiceAllRights($user)) {
    $fullaccesschecked = "CHECKED";
    $fullaccessdisplay = "none";
} else $fullaccessdisplay = "inline";

//display error message
if (isset($error))
    print "<div id=\"errorCode\">$error</div>";

print '

<script language="javascript">

function toggle(id) {

 var state = document.getElementById(id).style.display;
 if (state == "none") state = "inline";
 else state = "none";
 document.getElementById(id).style.display = state; 
}
</script>

<form method="POST">

<table>
 <tr>
  <td width="50%">L\'utilisateur a droit d\'accès au système d\'impression</td>
  <td>';
print '<input type="checkbox" name="access" onClick="toggle(\'access\')" '.$accesschecked.'/>';
print '
  </td>
 </tr>
</table>

<div id="access" style="display:' . $accessdisplay . '">
<table 
 <tr>
  <td width="50%">L\'utilisateur peut utiliser sans restrictions toutes les files d\'impression</td>
  <td>';
print '<input type="checkbox" name="fullaccess" onClick="toggle(\'fullaccess\')" '.$fullaccesschecked.'/>';
print '
  </td>
 </tr>
</table>

';
?>

<style type="text/css">
<!--

#fullaccess div.list
{
        float: left;
}

select.list
{
        width: 250px;
}

-->
</style>


<div id="fullaccess" style="display:<? echo $fullaccessdisplay ?> ">
<table style="border: none;" cellspacing="0">
<tr><td style="border: none;">
  <div class="list">
        <h3>Toutes les files impression</h3>
    <select multiple size="10" class="list" name="queues[]">

<?php
foreach ($printers as $idx => $printer)
{
    $idx = array_search($printer, $userprinters);
    if ($idx === false) echo "<option value=\"".$printer."\">".$printer."</option>\n";
}
?>
    </select>

    <br>
    
  </div>
  </td><td style="border: none;">
  <div> 
  <input type="submit" class="btnPrimary" name="bdelqueue" value="<--" /><br/>
  <input type="submit" class="btnPrimary" name="baddqueue" value="-->" />
  </div>
  </td><td style="border: none;">
  
  <div class="list" style="padding-left: 80px;">
      <h3>Files autorisées</h3>
    <select multiple size="10" class="list" name="aqueues[]">
<?php
foreach ($userprinters as $idx => $printer)
{
  echo "<option value=\"".$printer."\">".$printer."</option>\n";
}
?>
    </select>

    <br>
    
  </div>
  <div class="clearer"></div>
  </td></tr>
</table>
</div>

</div> <!-- with id="access" -->

<input class="btnPrimary" name="validate" type="submit" value="Valider">
</form>

